#
# spec file for package qca (Version 1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libdrm libdrm-devel libgcc libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils qt3 qt3-devel rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           qca
BuildRequires:  libdrm-devel libjpeg-devel openssl-devel qt3-devel update-desktop-files
License:        LGPL
Group:          Development/Libraries/C and C++
Summary:        Qt Cryptographic Architecture
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://delta.affinix.com/qca/
Version:        1.0
Release:        25.2
Source:         %name-%{version}.tar.bz2
Source1:        %name-tls-%{version}.tar.bz2
Patch1:         qca-tls.dif

%description
This package provides a generic Qt cryptographic architecture,
including a library and a plug-in for using all supported capabilities
of openssl, like SSL/TLS, X509, RSA, SHA1, MD5, Blowfish, 3DES, and
AES.

It can be extended by further plug-ins, for example, with qca-sasl for
SASL support.



Authors:
--------
    Justin Karneges <justin@affinix.com>

%debug_package
%package devel
Summary:        Qt Cryptographic Architecture
Group:          Development/Libraries/C and C++
Requires:       qca = %{version}

%description devel
This package provides a generic Qt cryptographic architecture,
including a library and a plugin for using all supported capabilities
of openssl, like SSL/TLS, X509, RSA, SHA1, MD5, Blowfish, 3DES and AES.

This package provides the general files for developing applications or
plug-ins for the QCA. You can also find examples in the
/usr/share/doc/packages/qca-devel/examples/ directory.



Authors:
--------
    Justin Karneges <justin@affinix.com>

%prep
%setup -q -b 1
cd ../qca-tls-*
%if %suse_version > 1000
%patch1
%endif

%build
P=$PWD
export PATH=/usr/lib/qt3/bin/:$PATH
./configure --prefix=$RPM_BUILD_ROOT/usr/lib/qt3/
make
cd examples
qmake
make CXXFLAGS="-I$P/src" LFLAGS="-L$P"
make clean
cd ../../%name-tls-%version
./configure
make

%install
make install
cd ../%name-tls-%version
make install INSTALL_ROOT=$RPM_BUILD_ROOT/usr/lib/qt3/%_lib/usr/
if [ %_lib = lib64 ]; then
 rm -rf $RPM_BUILD_ROOT/usr/lib/qt3/%_lib
 mv $RPM_BUILD_ROOT/usr/lib/qt3/lib \
    $RPM_BUILD_ROOT/usr/lib/qt3/%_lib
fi
mkdir -p $RPM_BUILD_ROOT/usr/%_lib/
ln -sf ../lib/qt3/%_lib/libqca.so.1 $RPM_BUILD_ROOT/usr/%_lib/libqca.so.1

%files
%defattr(-,root,root)
%doc README COPYING TODO
/usr/%_lib/libqca.so.1
/usr/lib/qt3/%_lib/*.so.*
/usr/lib/qt3/plugins/crypto

%files devel
%defattr(-,root,root)
%doc examples
/usr/lib/qt3/include/*
/usr/lib/qt3/%_lib/*.so

%changelog -n qca
* Mon Feb 13 2006 - stbinner@suse.de
- fix build with older openssl
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Oct 14 2005 - ro@suse.de
- try to fix build with current openssl
* Mon Sep 26 2005 - mls@suse.de
- make devel package require base package
* Fri Jan 07 2005 - adrian@suse.de
- fix build, do find qmake inside of $QTDIR/bin
* Tue Aug 31 2004 - adrian@suse.de
- remove wrong rename of plugin
* Wed Aug 04 2004 - adrian@suse.de
- initial package of version 1.0
- add also qca-tls package for openssl support to package
